      subroutine pltt6bdy(imode,isel)
      implicit none

      INCLUDE 'inclk.h'
      INCLUDE 'grchad.inc'

      INTEGER MXDIM,NDMX,NDIM,NWILD,IG,NCALL,ITMX1,ITMX2
      DOUBLE PRECISION XL,XU,ACC1,ACC2
      PARAMETER (MXDIM = 50, NDMX = 50 )
      COMMON /BPARM1/ XL(MXDIM),XU(MXDIM),NDIM,NWILD,
     $     IG(MXDIM),NCALL
      COMMON /BPARM2/ ACC1,ACC2,ITMX1,ITMX2

      INTEGER JPROC
      COMMON /AMJPRC/JPROC

      CHARACTER GRCPROC*40
      COMMON/GRCCHAR/GRCPROC

      INTEGER i,imode,isel
      real*8  xsn(10),rna
      integer imrg,ijrg


C...Decide subprocess ID.
      if (imode.eq.1) then
         ijrg = 407
         imrg = 2
         xsn(2) = 0.5d0
         rna = xrun(18)
         xsn(1) = 0.0d0
         xsn(imrg+1) = 1.0d0
         do i = 1,imrg
            if (rna.gt.xsn(i).and.rna.le.xsn(i+1)) then
               gpri(10) = (rna-xsn(i))/(xsn(i+1)-xsn(i))
               yacob = yacob/(xsn(i+1)-xsn(i))
               jproc = i + ijrg
            endif
         enddo

C...Set dimension and process character.
      else if (imode.eq.2) then
         ndim = 18
         if (isel.eq.170) then
            grcproc = 'pp(bar)->(tt)->bW(2f)+bW(2f)'
         endif
         if (isel.eq.408) then
            grcproc = 'qq->(tt)->b+W(2f)+b+W(2f)'
         endif
         if (isel.eq.409) then
            grcproc = 'gg->(tt)->b+W(2f)+b+W(2f)'
         endif

C...Initialize kinematic parameter.
      else if (imode.eq.3) then
         mxreg = 1
         ktype = 2602
         cxtype = 12457836
         gtau(1) = 1
         gtau(14) = 2
         gyst(1) = 1
         gyst(14) = 5
         gcos3(1) = 1
         gcos3(14) = 1
         gq12(1) = 1
         gq12(14) = 10
         gq22(1) = 1
         gq22(14) = 10
         gspr(1) = 1
         geps(1) = 1.0d0
         gspr(2) = 1
         geps(2) = 1.0d0
         gspr(3) = 1
         geps(3) = 1.0d0
         gspr(4) = 1
         geps(4) = 1.0d0

C...Set flavor and if necessary, decide weight of each phase space.
      else if (imode.eq.4) then
         call grcffil
         isel = 1
      endif

      return
      end
